Skip to main content
PUT
/
api2
/
v1
/
segmentationRules
/
{segRuleUid}
Edit segmentation rule
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/segmentationRules/{segRuleUid} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "primary": true
}
'
{
  "filename": "<string>",
  "name": "<string>",
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "dateCreated": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "language": "<string>",
  "locale": "<string>",
  "primary": true,
  "uid": "<string>"
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

segRuleUid
integer<int64>
required

Unique identifier of the segmentation rule

Body

application/json

Updated segmentation rule

segmentation rule object for editing

name
string
required

Name of the segmentation rule

Maximum string length: 255
primary
boolean

When true, this rule is the primary segmentation rule for its locale in the organization

Response

OK

segmentation rule object

filename
string
required

Name of the uploaded segmentation rule file

Maximum string length: 255
name
string
required

Name of the segmentation rule

Maximum string length: 255
createdBy
object
dateCreated
string<date-time>
read-only

Date and time when the segmentation rule was created

id
string
read-only

Internal numeric identifier, encoded as a string

language
string

Language code derived from the locale

locale
string

Locale code of the segmentation rule; normalized when read

primary
boolean

When true, this rule is the primary segmentation rule for its locale in the organization

uid
string
read-only

Unique identifier used in API paths